package cn.iocoder.yudao.module.knowledge.mapper;

import cn.iocoder.yudao.module.knowledge.controller.requestdto.TRegulatoryFrameworkRequest;
import cn.iocoder.yudao.module.knowledge.entity.TRegulatoryFramework;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 规章制度表(TRegulatoryFramework)表数据库访问层
 *
 * @author makejava
 * @since 2024-04-12 17:36:32
 */
@Mapper
public interface TRegulatoryFrameworkMapper extends BaseMapper<TRegulatoryFramework> {
    IPage<TRegulatoryFramework> getListPage(Page<TRegulatoryFramework> page, @Param("dto") TRegulatoryFrameworkRequest tLaws);
    IPage<TRegulatoryFramework> selectForApp(Page<TRegulatoryFramework> page, @Param("dto") TRegulatoryFrameworkRequest tLaws);

    List<TRegulatoryFramework> getListPage(@Param("dto") TRegulatoryFrameworkRequest dto);

    int updateByLawId(@Param("dto")TRegulatoryFrameworkRequest tLaws);

    int deleteByIds(@Param("id") long id);

    int filling(@Param("id") long id);

    int judgeIsFilling(@Param("id") long id);

}

